Subject: Re: [PATCH v2] t0027: Add tests for get_stream_filter()

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 Jan 2016 22:34:19 -0800

[email-masked] writes:

> From: Torsten Bögershausen <[email-masked]>
>
> When a filter is configured, a different code-path is used in
> convert.c and entry.c via get_stream_filter(), but there are no test cases yet.
>
> Add tests for the filter API by configuring the ident filter.
> The result of the SHA1 conversion is not checked, this is already
> done in other TC.
>
> Add a parameter to checkout_files() in t0027.
> While changing the signature, add another parameter for the eol= attribute.
> This is currently unused, tests for e.g.
> "* text=auto eol=lf" will be added in a separate commit.
>
> Signed-off-by: Torsten Bögershausen <[email-masked]>
> ---
> - This needs to go on top of  tb/ls-files-eol

With missing "separate commit", I am having a hard time to decide if
this is something I should pick up at this moment, or I should wait
until that separate commit materializes.  What is your intention?

Thanks.